# Copyright 2014 MINES ParisTech
#
# This file is part of LinPy.
#
# LinPy is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# LinPy is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with LinPy.  If not, see <http://www.gnu.org/licenses/>.

import functools
import unittest

try:

    import sympy

    def requires_sympy(func):
        @functools.wraps(func)
        def wrapper(self):
            return func(self)
        return wrapper

except ImportError:

    def requires_sympy(func):
        @functools.wraps(func)
        def wrapper(self):
            raise unittest.SkipTest('SymPy is not available')
        return wrapper
